
/*
 * Copyright (c) 2014 iSedora.com - All Rights Reserved
 * This file is part of iSedora Media Server software
 */

var isMac = (process.platform === "darwin");
var isWin = (!isMac && process.platform === "win32");

exports.isMac = function() { return isMac; };
exports.isWin = function() { return isWin; };

exports.ifMac = function(rvmac, rvwin) {
  return (isMac) ? rvmac : rvwin;
};

exports.ERR = {
  AGENT_NOT_FOUND   : 100,
  HTTP_SERVER_START : 101
};

var ECODES = {
  ENOENT: 'File path not found'
};

exports.err = function(err) {

  if (typeof err === 'object' && err.code) {
    var rv = ECODES[err.code];
    if (rv) return rv;
  }

  return err.toString();

};

exports.isAborted = function(err) {
  return err.code == 'ECONNABORT';
};

exports.werr = function(text, cb) {
  if (typeof text === 'string') {
    process.stderr.write(text + "\n", 'utf8', cb);
  }
  else {
    cb();
  }
};

exports.estack = function(err) {
  var stack = err['stack'];
  return (stack) ? stack : err;
};