/*
 * Copyright (c) 2014 iSedora.com - All Rights Reserved
 * This file is part of iSedora Media Server software
 */

'use strict';

var child = require('child_process');
var env = require('../env');
var log = require('../log');


function ping(addr, cb) {
  var proc = env.ifMac(macping, winping);
  proc(addr, cb);
}

module.exports = ping;

//-----------------------------------------------------------------------------
// Mac Ping
//-----------------------------------------------------------------------------

function macping(addr, cb) {
  var cmd = '/sbin/ping';
  var arg = ['-c', '3', '-o', '-n', '-q', '-W', '1000', addr];
  child.execFile(cmd, arg, function(err) {
    cb(err);
  });
}

//-----------------------------------------------------------------------------
// Win Ping
//-----------------------------------------------------------------------------

function winping(addr, cb) {
  var arg = ['ping', '-n', '3', '-w', '1000', addr];
  child.exec(arg.join(' '), function(err) {
    cb(err);
  });
}