/*
 * Copyright (c) 2014 iSedora.com - All Rights Reserved
 * This file is part of iSedora Media Server software
 */

'use strict';

var evt = require('../evt');
var cfg = require('../cfg');
var mdb = require('../dlna/mdb');

//-----------------------------------------------------------------------------

function cacheStat(req, res) {

  var name = req.param('name');

  var cache = mdb[name];

  if (!cache || typeof cache.stat !== 'function') {
    res.status(404).send('Cache not found: ' + name);
    return;
  }

  cache.stat(function(err, data) {
    if (err) {
      res.status(500).send(err.toString());
    }
    else {
      res.json(data);
    }
  });

}

//-----------------------------------------------------------------------------

function cacheErase(req, res) {

  var name = req.param('name');

  var cache = mdb[name];

  if (!cache || typeof cache.erase !== 'function') {
    res.status(404).send('Cache not found: ' + name);
    return;
  }

  cache.erase(function(err) {
    if (err) {
      res.status(500).send(err.toString());
    }
    else {
      res.sendStatus(200);
    }
  });

}

//-----------------------------------------------------------------------------

evt.onHttpAppReady(function(app) {
  cfg.rest(app).get('/cache/stat/:name', cacheStat);
  cfg.rest(app).get('/cache/erase/:name', cacheErase);
});
