/*
 * Copyright (c) 2014 iSedora.com - All Rights Reserved
 * This file is part of iSedora Media Server software
 */

'use strict';

var bodyParser = require('body-parser');

var evt = require('../evt');
var log = require('../log');
var cfg = require('../cfg');


function cfgSave(req, res) {

  var body = req.body;

  cfg.saveConfig(body, true, function(err) {
    if (err) {
      res.status(500).send(err.toString());
    }
    else {
      res.status(200).end();
    }
  });

}

evt.onHttpAppReady(function(app) {
  var rest = cfg.rest(app);
  rest.use('/cfgsave', bodyParser.json());
  rest.use('/cfgsave', cfgSave);
});
