/*
 * Copyright (c) 2014 iSedora.com - All Rights Reserved
 * This file is part of iSedora Media Server software
 */

'use strict';

var fs = require('fs');
var request    = require('request');
var bodyParser = require('body-parser');

var evt = require('../evt');
var log = require('../log');
var cfg = require('../cfg');

var FS_OPT = {encoding: 'utf8'};
var TARGET = 'http://www.isedora.com/reptosupport.php';

function postFeedback(req, res) {
  var x = request(TARGET);
  req.pipe(x);
  x.pipe(res);
}

function postFeedbackLog(req, res) {

  fs.readFile(cfg.logFilePath(), FS_OPT, function(err, data) {

    if (err) {
      res.send(500, err.toString());
      return;
    }

    var body = req.body;

    data = body['data'] + "\n\n== Log ==\n\n" + data;

    request.post(TARGET, {form: {
      email:   body['email'],
      subject: body['subject'],
      body:    body['body'],
      data:    data
    }}).pipe(res);

  });

}

evt.onHttpAppReady(function(app) {
  var rest = cfg.rest(app);
  rest.use('/feedback', postFeedback);
  rest.use('/feedbacklog', bodyParser.urlencoded({ extended: false }));
  rest.use('/feedbacklog', postFeedbackLog);
});
