/*
 * Copyright (c) 2014 iSedora.com - All Rights Reserved
 * This file is part of iSedora Media Server software
 */

'use strict';

var multer = require('multer');

var evt = require('../evt');
var agt = require('../agt');
var cfg = require('../cfg');

var MAX_ICON_SIZE = 1024 * 1024 * 100; // 100MB

function changeIcon(req, res) {
  log.debug('Icon files: %j', req.files);
  res.send('Icon Uploaded');
}

evt.onHttpAppReady(function(app) {
  var rest = cfg.rest(app);
  rest.use('/seticon', multer({
    dest: cfg.tempDir(),
    limits: {
      fileSize: MAX_ICON_SIZE
    }
  }));
  rest.post('/seticon', changeIcon);
});
